Create Workspace
Create a new workspace in your organization.
Availability. Workspace management may be enabled for customers on the Enterprise plan. Contact support@extend.ai if you would like to have it enabled for your organization.
Authentication. Requires an organization-scoped API key. As with every organization-key request, you must still send x-extend-workspace-id with an existing workspace.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
Required on this endpoint: it accepts only organization-scoped API keys. Pass any existing workspace ID in your organization — on POST /workspaces it identifies the workspace you are calling from, not the one being created. See Authentication for details on API key scopes.
Request
Response
The human-readable name of the workspace.
The time (in UTC) at which the object was created. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"
The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"

